ml.dmlc.xgboost4j.java

## Enum Rabit.DataType

- java.lang.Object
- - java.lang.Enum<Rabit.DataType>
  - - ml.dmlc.xgboost4j.java.Rabit.DataType

- All Implemented Interfaces:
    Serializable, Comparable<Rabit.DataType>
  Enclosing class:
    Rabit

      public static enum Rabit.DataType
      extends Enum<Rabit.DataType>
      implements Serializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHAR`
    `DOUBLE`
    `FLOAT`
    `INT`
    `LONG`
    `LONGLONG`
    `UCHAR`
    `ULONG`
    `ULONGLONG`
    `UNIT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEnumOp()`
    `int` | `getSize()`
    `static Rabit.DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Rabit.DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHAR

          public static final Rabit.DataType CHAR

    - #### UCHAR

          public static final Rabit.DataType UCHAR

    - #### INT

          public static final Rabit.DataType INT

    - #### UNIT

          public static final Rabit.DataType UNIT

    - #### LONG

          public static final Rabit.DataType LONG

    - #### ULONG

          public static final Rabit.DataType ULONG

    - #### FLOAT

          public static final Rabit.DataType FLOAT

    - #### DOUBLE

          public static final Rabit.DataType DOUBLE

    - #### LONGLONG

          public static final Rabit.DataType LONGLONG

    - #### ULONGLONG

          public static final Rabit.DataType ULONGLONG

  - ### Method Detail

    - #### values

          public static Rabit.DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Rabit.DataType c : Rabit.DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Rabit.DataType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getEnumOp

          public int getEnumOp()

    - #### getSize

          public int getSize()

Copyright © 2021. All rights reserved.